Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: peripheral::GatewaySensorManager::ValueEncoding Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
peripheral::GatewaySensorManager::ValueEncoding Struct Reference

Specification of value encoding. More...

`import "GatewaySensorManager.idl";`

Inheritance diagram for peripheral::GatewaySensorManager::ValueEncoding:

## Public Attributes
string | encodingId
| encoding type id
EncodingType | type
| value coding type
boolean | invertState
| invert when interpreting as state
vector< InterpretationRule > | interpretationRules
| error/value interpretation rules
int | minAccessInterval
| minimum time interval between two read accesses in seconds

## Detailed Description

Specification of value encoding.

Before an instance of Sensor can be created, an instance of ValueEncoding must be present. The Sensor locates the corresponding ValueEncoding using the sensor class id `encodingId`.

Definition at line 519 of file GatewaySensorManager.idl.

## Member Data Documentation

## ◆ encodingId

string peripheral::GatewaySensorManager::ValueEncoding::encodingId

encoding type id

Definition at line 520 of file GatewaySensorManager.idl.

## ◆ interpretationRules

vector<InterpretationRule> peripheral::GatewaySensorManager::ValueEncoding::interpretationRules

error/value interpretation rules

Definition at line 523 of file GatewaySensorManager.idl.

## ◆ invertState

boolean peripheral::GatewaySensorManager::ValueEncoding::invertState

invert when interpreting as state

Definition at line 522 of file GatewaySensorManager.idl.

## ◆ minAccessInterval

int peripheral::GatewaySensorManager::ValueEncoding::minAccessInterval

minimum time interval between two read accesses in seconds

Definition at line 524 of file GatewaySensorManager.idl.

## ◆ type

EncodingType peripheral::GatewaySensorManager::ValueEncoding::type

value coding type

Definition at line 521 of file GatewaySensorManager.idl.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl